Subject: Re: bug#31647: [core-updates] gtkglext fails in a weird way

From: Mark H Weaver <[email-masked]>
Date: Wed, 30 May 2018 04:43:19 -0400

I wrote:
> However, I would prefer to catch *only* invoke errors, and to let most
> exception types go unhandled by gnu-build.

On second thought, I don't have a good justification for this.  What I
really care about is that all exceptions except for specific case(s)
like invoke-error should generate a full backtrace to the original
source of the exception, along with all information present in the
condition object or exception.  I see no reason not to let Guile's
generic exception reporting code handle these unusual cases, but if it's
important to you we could do the same thing from gnu-build, I suppose.

What do you think?

      Mark